%define		mainver		0.96
%undefine	betaver
%define		relnumber	1
%define		srcname		mecab-ruby

%define		rubyver		1.8
%{!?ruby_sitearch:	%define ruby_sitearch	%(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}
%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')}

Name:		ruby-mecab
Version:	%{mainver}
Release:	%{?betaver:0.}%{relnumber}%{?betaver:.%betaver}%{?dist}
Summary:	Ruby binding for MeCab

Group:		Applications/Text
# License is the same as MeCab
License:	BSD/LGPL/GPL
URL:		http://mecab.sourceforge.net/
Source0:	http://downloads.sourceforge.net/mecab/%{srcname}-%{mainver}%{?betaver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This is not release number specific
BuildRequires:	mecab-devel = %{version}
# ruby-devel requires ruby-libs and not require ruby
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires(check):	mecab-jumandic

Requires:	mecab = %{version}
Requires:	ruby(abi) = %{rubyver}
Provides:	ruby(mecab) = %{version}-%{release}

%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{version}%{?betaver}

%build
ruby extconf.rb
%{__make} %{?_smp_mflags} \
	CXXFLAGS="$RPM_OPT_FLAGS -fPIC"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -c -p"

%check || :
%{__mv} test.rb test.rb.orig
iconv -f EUC-JP -t UTF-8 test.rb.orig > test.rb
ruby test.rb

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc bindings.html
%doc AUTHORS COPYING BSD GPL LGPL

%{ruby_sitearch}/*MeCab*

%changelog
* Mon Jun 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-1
- 0.96 release

* Fri May  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-4
- Add license notification text for now.

* Sat Mar 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-3
- Again change the name to ruby-mecab

* Sat Mar 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-2
- Build with -fPIC for shared library (#233426)
- Rename to mecab-ruby, drop providing

* Thu Mar 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-1
- Initial packaging.
